SFML 2.5.1

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Event::JoystickButtonEvent Struct Reference

Joystick buttons events parameters (JoystickButtonPressed, JoystickButtonReleased) More...

`#include <Event.hpp>`

## Public Attributes

unsigned int | joystickId
| Index of the joystick (in range [0 .. Joystick::Count - 1])
unsigned int | button
| Index of the button that has been pressed (in range [0 .. Joystick::ButtonCount - 1])

## Detailed Description

Joystick buttons events parameters (JoystickButtonPressed, JoystickButtonReleased)

Definition at line 154 of file Event.hpp.

## Member Data Documentation

## ◆ button

unsigned int sf::Event::JoystickButtonEvent::button

Index of the button that has been pressed (in range [0 .. Joystick::ButtonCount - 1])

Definition at line 157 of file Event.hpp.

## ◆ joystickId

unsigned int sf::Event::JoystickButtonEvent::joystickId

Index of the joystick (in range [0 .. Joystick::Count - 1])

Definition at line 156 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp